Bug 90882 - UNO commands to insert row above and column to left
Summary: UNO commands to insert row above and column to left
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks: UNO-Command Writer-Tables
  Show dependency treegraph
 
Reported: 2015-04-26 15:30 UTC by Yousuf Philips (jay)
Modified: 2016-10-10 21:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-04-26 15:30:07 UTC
Presently we have an insert row below command (.uno:InsertRows) and insert column right command (.uno:InsertColumns) in writer but we also need commands to insert row above and insert column left, primarily for use in the table context menu.

Ideally the new commands would be name .uno:InsertRowsAbove and .uno:InsertColumnsLeft.
Comment 1 Yousuf Philips (jay) 2015-04-26 15:30:54 UTC
ux-advise NEW.
Comment 2 Heiko Tietze 2015-04-27 09:59:40 UTC
How's about .uno:InsertColumns(currentLine-1)? I mean the function makes sense but not as special code.
Comment 3 Yousuf Philips (jay) 2015-04-27 22:01:25 UTC
Not sure if its possible to send arguments through UNO commands, but maybe a dev can clarify this.
Comment 4 Yousuf Philips (jay) 2015-05-13 17:49:08 UTC
Kendy confirmed its not possible to send arguments through UNO commands.
Comment 5 Heiko Tietze 2015-05-13 17:50:31 UTC
Kendy: "Not possible to have parameters with uno. commands"
So back to Jay's suggestion: +1
Comment 6 Yousuf Philips (jay) 2015-05-15 20:51:04 UTC
Would also be useful to have similar commands in Calc, but with opposite names - .uno:InsertRowsBelow and .uno:InsertColumnsRight - as Calc's .uno:InsertRows insert rows above and .uno:InsertColumns insert columns left.
Comment 7 Commit Notification 2015-05-20 10:32:57 UTC
Philippe Jung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=447783a97777b2053acd74d265af3ed2a6c5c93a

tdf#90882 Writer: insert row/col before/after

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Mike §chinagl 2015-05-21 15:38:13 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Ability to add rows and columns before the current cursor position through the context menu. tdf#90882 (Philippe Jung, Yousuf Philips)
Comment 9 Commit Notification 2015-05-23 09:42:14 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54b9bdc7b14b75f93a043c9af60ae605e57b194d

tdf#90882 Add table insert uno commands to menu bar and fix labels

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-05-25 12:05:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb145a7a618f554daa8198a0fa5ec3b2c51a9244&h=libreoffice-5-0

tdf#90882 Add table insert uno commands to menu bar and fix labels

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.